BEGIN RUKRAKIA


IF ~Global("MetRukrakia","GLOBAL",0)
    !Global("RukrakiaWNT","GLOBAL",1)~ 
  THEN BEGIN 0 // from:
  SAY @0 = @28
  IF ~~ THEN REPLY @1 DO ~SetGlobal("MetRukrakia","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY @2 DO ~SetGlobal("MetRukrakia","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY @3 DO ~SetGlobal("MetRukrakia","GLOBAL",1)
                          SetGlobal("RukrakiaWNT","GLOBAL",1)~ GOTO 2
  IF ~~ THEN REPLY @4 DO ~SetGlobal("MetRukrakia","GLOBAL",1)~ GOTO 1
END

IF ~Global("MetRukrakia","GLOBAL",0)~ 
  THEN BEGIN 1 // from:
  SAY @29 = @5
  IF ~~ THEN DO ~SetGlobal("MetRukrakia","GLOBAL",1)
                 SetGlobal("RukrakiaRomanceActive","GLOBAL",2)~ EXIT
END

IF ~Global("MetRukrakia","GLOBAL",0)~ 
  THEN BEGIN 2 // from:
  SAY @29 = @5
  IF ~~ THEN DO ~SetGlobal("MetRukrakia","GLOBAL",1)
                 SetGlobal("RukrakiaRomanceActive","GLOBAL",1)
                 SetGlobal("RukrakiaFMActive","GLOBAL",1)~ EXIT
END



IF ~Global("CheckRukrakiaMatch1","GLOBAL",2)~ 
  THEN BEGIN TWO0 // from:
  SAY @6 = @64
  IF ~~ THEN REPLY @7 DO ~SetGlobal("CheckRukrakiaMatch1","GLOBAL",4)~ EXIT
  IF ~~ THEN REPLY @8 DO ~SetGlobal("CheckRukrakiaMatch1","GLOBAL",3)~ GOTO TWO1
  IF ~~ THEN REPLY @9 DO ~SetGlobal("CheckRukrakiaMatch1","GLOBAL",3)~ GOTO TWO2
  IF ~~ THEN REPLY @10 DO ~SetGlobal("CheckRukrakiaMatch1","GLOBAL",3)
                           SetGlobal("RukrakiaRomanceActive","GLOBAL",3)~ GOTO TWO3
END

IF ~~ 
  THEN BEGIN TWO1 // from:
  SAY @11 = @30 = @12
  IF ~~ THEN REPLY @13 GOTO TWO4
END

IF ~~ 
  THEN BEGIN TWO2 // from:
  SAY @11 = @30 = @12
  IF ~~ THEN REPLY @14 GOTO TWO5
END

IF ~~ 
  THEN BEGIN TWO3 // from:
  SAY @11 = @30 = @12
  IF ~~ THEN REPLY @15 GOTO TWO6
END

IF ~~ 
  THEN BEGIN TWO4 // from:
  SAY @32 = @16 = @33
  IF ~~ THEN REPLY @19 GOTO TWO7
END

IF ~~ 
  THEN BEGIN TWO5 // from:
  SAY @32 = @16 = @33
  IF ~~ THEN REPLY @20 GOTO TWO12
END

IF ~~ 
  THEN BEGIN TWO6 // from:
  SAY @18
  IF ~~ THEN REPLY @31 GOTO TWO11
END

IF ~~ 
  THEN BEGIN TWO7 // from:
  SAY @38
  IF ~~ THEN REPLY @39 GOTO TWO12
END

IF ~~ 
  THEN BEGIN TWO8 // from:
  SAY @27 = @37
  IF ~!IsValidForPartyDialogue("minsc")
      !IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      !IsValidForPartyDialogue("korgan")~ THEN GOTO TWO13
  IF ~IsValidForPartyDialogue("minsc")~ THEN EXTERN minscj ruknpc1minsc
  IF ~!IsValidForPartyDialogue("minsc")
      IsValidForPartyDialogue("jaheira")~ THEN EXTERN jaheiraj ruknpc1jaheira
  IF ~!IsValidForPartyDialogue("minsc")
      !IsValidForPartyDialogue("jaheira")
      IsValidForPartyDialogue("edwin")~ THEN EXTERN edwinj ruknpc1edwin
  IF ~!IsValidForPartyDialogue("minsc")
      !IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("keldorn")~ THEN EXTERN keldorj ruknpc1keldorn
  IF ~!IsValidForPartyDialogue("minsc")
      !IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      IsValidForPartyDialogue("korgan")~ THEN EXTERN korganj ruknpc1korgan
END

IF ~~ 
  THEN BEGIN TWO9 // from:
  SAY @23
  IF ~~ THEN DO ~EraseJournalEntry(%검은 숲의 괴물?

약간 정신이 나간 나무꾼과 이야기를 나눴다. 아마도 검은 숲에서 몬스터에게 동료들을 잃고 그 충격에 정신이 이상해진 것 같다. 대충 검은 숲의 위치를 알려줬지만 찾으려면 고생할 것 같다.%)
                 SetGlobal("CheckRukrakiaMatch1","GLOBAL",6)
                 JoinParty()~ SOLVED_JOURNAL @73 EXIT
END

IF ~~ 
  THEN BEGIN TWO10 // from:
  SAY @26 = @71
  IF ~~ THEN DO ~EraseJournalEntry(%검은 숲의 괴물?

약간 정신이 나간 나무꾼과 이야기를 나눴다. 아마도 검은 숲에서 몬스터에게 동료들을 잃고 그 충격에 정신이 이상해진 것 같다. 대충 검은 숲의 위치를 알려줬지만 찾으려면 고생할 것 같다.%)
                 SetGlobal("CheckRukrakiaMatch1","GLOBAL",5)~ SOLVED_JOURNAL @72 EXIT
END

IF ~~ 
  THEN BEGIN TWO11 // from:
  SAY @32 = @16 = @33
  IF ~~ THEN REPLY @34 GOTO TWO12
END

IF ~~ 
  THEN BEGIN TWO12 // from:
  SAY @35 = @36 = @17
  IF ~~ THEN REPLY @21 GOTO TWO8
END


IF ~~ 
  THEN BEGIN TWO13 // from:
  SAY @65
  IF ~~ THEN REPLY @66 GOTO TWO14
  IF ~~ THEN REPLY @67 GOTO TWO10
END

IF ~~ 
  THEN BEGIN TWO14 // from:
  SAY @68 = @69 = @70
  IF ~~ THEN REPLY @25 GOTO TWO9
  IF ~~ THEN REPLY @24 GOTO TWO10
END

//------------------

IF ~Global("RukrakiaSummoned","GLOBAL",1)
    !Global("CutScenerukgotp1","LOCALS",1)~ THEN BEGIN ruktob0
  SAY @45
  IF ~~ THEN REPLY @46 DO ~SetGlobal("RukrakiaSummoned","GLOBAL",2)~ GOTO ruktob1
END

IF ~~ THEN BEGIN ruktob1
  SAY @47
  IF ~~ THEN DO ~SetGlobal("CutScenerukgotp1","LOCALS",1)
                 StartCutScene("rukgotp1")~ EXIT
END

IF ~Global("CutScenerukgotp1","LOCAL",1)~ THEN BEGIN ruktob2
  SAY @48 = @49
  IF ~~ THEN REPLY @50 DO ~SetGlobal("CutScenerukgotp1","LOCALS",2)~ GOTO ruktob3
END

IF ~~ THEN BEGIN ruktob3
  SAY @51
  IF ~~ THEN REPLY @52 GOTO ruktob4
  IF ~~ THEN REPLY @55 GOTO ruktob5
END

IF ~~ THEN BEGIN ruktob4
  SAY @53 = @54
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~~ THEN BEGIN ruktob5
  SAY @56
  IF ~~ THEN REPLY @57 GOTO ruktob6
END

IF ~~ THEN BEGIN ruktob6
  SAY @58 = @59
  IF ~~ THEN DO ~MoveToPointNoInterrupt([1476.1477])
                 Face(9)~ EXIT
END

IF ~Global("RukrakiaSummoned","GLOBAL",2)~ THEN BEGIN tob7
  SAY @60
  IF ~~ THEN REPLY @61 GOTO ruktob4
  IF ~~ THEN REPLY @62 GOTO tob8
END

IF ~~ THEN BEGIN tob8 // from:
  SAY @63
  IF ~~ THEN EXIT
END

APPEND ~minscj~
IF ~~ 
  THEN BEGIN ruknpc1minsc // from:
  SAY @40
  IF ~!IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      !IsValidForPartyDialogue("korgan")~ THEN EXTERN RUKRAKIA TWO13
  IF ~IsValidForPartyDialogue("jaheira")~ THEN EXTERN jaheiraj ruknpc1jaheira
  IF ~!IsValidForPartyDialogue("jaheira")
      IsValidForPartyDialogue("edwin")~ THEN EXTERN edwinj ruknpc1edwin
  IF ~!IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("keldorn")~ THEN EXTERN keldorj ruknpc1keldorn
  IF ~!IsValidForPartyDialogue("jaheira")
      !IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      IsValidForPartyDialogue("korgan")~ THEN EXTERN korganj ruknpc1korgan
END
END

APPEND ~jaheiraj~
IF ~~ 
  THEN BEGIN ruknpc1jaheira // from:
  SAY @41
  IF ~!IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      !IsValidForPartyDialogue("korgan")~ THEN EXTERN RUKRAKIA TWO13
  IF ~IsValidForPartyDialogue("edwin")~ THEN EXTERN edwinj ruknpc1edwin
  IF ~!IsValidForPartyDialogue("edwin")
      IsValidForPartyDialogue("keldorn")~ THEN EXTERN keldorj ruknpc1keldorn
  IF ~!IsValidForPartyDialogue("edwin")
      !IsValidForPartyDialogue("keldorn")
      IsValidForPartyDialogue("korgan")~ THEN EXTERN korganj ruknpc1korgan
END
END

APPEND ~edwinj~
IF ~~ 
  THEN BEGIN ruknpc1edwin // from:
  SAY @42
  IF ~!IsValidForPartyDialogue("keldorn")
      !IsValidForPartyDialogue("korgan")~ THEN EXTERN RUKRAKIA TWO13
  IF ~IsValidForPartyDialogue("keldorn")~ THEN EXTERN keldorj ruknpc1keldorn
  IF ~!IsValidForPartyDialogue("keldorn")
      IsValidForPartyDialogue("korgan")~ THEN EXTERN korganj ruknpc1korgan
END
END

APPEND ~keldorj~
IF ~~ 
  THEN BEGIN ruknpc1keldorn // from:
  SAY @43
  IF ~!IsValidForPartyDialogue("korgan")~ THEN EXTERN RUKRAKIA TWO13
  IF ~IsValidForPartyDialogue("korgan")~ THEN EXTERN korganj ruknpc1korgan
END
END

APPEND ~korganj~
IF ~~ 
  THEN BEGIN ruknpc1korgan // from:
  SAY @44
  IF ~~ THEN EXTERN RUKRAKIA TWO13
END
END